{% extends 'base.html' %}

{% block content %}
<div>
    <h1> {{ todo_list.name }} </h1>

    <p>
        <a href="{% url 'todo_list_update' todo_list.id %}">Edit</a>
        <a href="{% url 'todo_list_delete' todo_list.id %}">Delete</a>
    </p>
    <h2> Tasks</h2>
    <table>
        <thead>
            <tr>
                <th>Task</th>
                <th>Due Date</th>
            </tr>
        </thead>
        <tbody>

                {% for tasks in todo_list.items.all %}
                <tr>

                        <td> <a href="{% url 'todo_item_update' tasks.id %}"> {{ tasks.task }} </a> </td>
                    <td> {{ tasks.due_date }} </td>
                </tr>
                {% endfor %}

        </tbody>
    </table>
</div>





{% endblock content %}
